%global major 1
%define libname %mklibname fdt %major
%define devname %mklibname -d fdt
Name:           dtc
Version:        1.4.1
Release:        %mkrel 1
Summary:        Device Tree Compiler
Group:          Development/Tools
License:        GPLv2+
URL:            http://devicetree.org/Device_Tree_Compiler
Source:         https://ftp.kernel.org/pub/software/utils/%{name}/%{name}-%{version}.tar.xz
Patch1:         use-tx-as-the-type-specifier-instead-of-zx.patch

BuildRequires:  flex, bison

%description
The Device Tree Compiler generates flattened Open Firmware style device trees
for use with PowerPC machines that lack an Open Firmware implementation

%package -n %libname
Summary: Device tree library
Group: Development/C

%description -n %libname
libfdt is a library to process Open Firmware style device trees on various
architectures.

%package -n %devname
Summary: Development headers for device tree library
Group: Development/C
Requires: %libname = %{version}-%{release}
Provides: libfdt-devel

%description -n %devname
This package provides development files for libfdt

%prep
%setup -q
%patch1 -p1

%build
%make V=1

%install
make install DESTDIR=$RPM_BUILD_ROOT PREFIX=/usr LIBDIR=%{_libdir}
rm -rf $RPM_BUILD_ROOT/%{_libdir}/*.a

# we don't want or need ftdump and it conflicts with freetype-demos, so drop
# it (rhbz 797805)
rm -f $RPM_BUILD_ROOT/%{_bindir}/ftdump


%files 
%{!?_licensedir:%global license %%doc}
%license GPL
%doc Documentation/manual.txt
%{_bindir}/*

%files -n %libname
%{!?_licensedir:%global license %%doc}
%license GPL
%{_libdir}/libfdt-%{version}.so
%{_libdir}/libfdt.so.*

%files -n %devname
%{_libdir}/libfdt.so
%{_includedir}/*





%changelog
* Fri Apr 15 2016 tv <tv> 1.4.1-1.mga6
+ Revision: 1001701
- imported package dtc

